/**
  * Copyright: Copyright(c) 2005-2009 朗慧科技,Inc.All Rights Reserved. 
  * Company: 朗慧科技
 */
package zhangcb.pps.config;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.DirectoryDialog;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import zhangcb.pps.common.PPS;

/**  
 *   Filename:		ConfigSetComposite.java
 *   Ttitle:     	类相关说明       
 *   Author:       	david
 *   Date:   		2009-9-12 
 *   Time:   		上午09:20:03 
 *   Version:   	1.0.0   
 */

public class ConfigSetComposite extends Composite {
	public ConfigSetComposite(final Composite parent) {
		super(parent, SWT.NONE);

		GridLayout layout = new GridLayout(2,false);
		setLayout(layout);
		GridData dataLabel = new GridData(GridData.FILL_HORIZONTAL);
		dataLabel.widthHint = 100;
		Label l = new Label(this, SWT.NONE);
		l.setText("pps安装目录");
		l.setLayoutData(dataLabel);

		GridData dataText = new GridData(GridData.FILL_HORIZONTAL);
		dataText.widthHint = 200;
		final Text t = new Text(this, SWT.NONE);
		if(!PPS.config.isEmpty() && PPS.config.getProperty(PPS.PPS_HOME) != null) {
			t.setText(PPS.config.getProperty(PPS.PPS_HOME));
		}
		t.setLayoutData(dataText);
		t.addMouseListener(new MouseAdapter(){
			@Override
			public void mouseDoubleClick(MouseEvent e) {
				DirectoryDialog d = new DirectoryDialog(parent.getShell());
				d.setText("选择pps的安装目录");
				d.setFilterPath("/");
				String pps_home = d.open();
				if(pps_home != null && !pps_home.isEmpty()) {
					t.setText(pps_home);
				}
			}
		});
		
		parent.setData("pps_home_text", t);
	}
}
