/**
 * Copyright: Copyright(c) 2005-2009 朗慧科技,Inc.All Rights Reserved. 
 * Company: 朗慧科技
 */
package zhangcb.pps;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.StringReader;
import java.net.URL;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.io.SAXReader;

/**
 * Filename: CreateXmlDocument.java 
 * Ttitle: 类相关说明 
 * Author: david 
 * Date: 2009-9-10
 * Time: 上午01:48:06 
 * Version: 1.0.0
 */

public class CreateXmlDocument {
	
	/**
	 * 获取url指向的xml文件，并生成dom4j的document返回
	 * @param url
	 * @return
	 */
	public Document create(String url) {
		try {
			URL u = new URL(url);
			BufferedReader rd = new BufferedReader(new InputStreamReader(u
					.openStream()));
			StringBuilder xml = new StringBuilder();
			String line = "";
			while ((line = rd.readLine()) != null) {
				xml.append(line);
				xml.append("\n");
			}
			rd.close();
			
			SAXReader reader = new SAXReader();
			Document doc = reader.read(new StringReader(xml.toString()));
			return doc;
		} catch (IOException e) {
			e.printStackTrace();
		} catch (DocumentException e) {
			e.printStackTrace();
		}
		return null;
	}

}
